### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata.dataexplorer

# Interface BookmarkEntryInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public interface BookmarkEntryInterface extends MetadataInterface
BookmarkEntryInterface Defines the interface for a `OMRBookmarkEntry`. Bookmarks represent a specific state of the Informatiom Map being viewed. They store the state and allow the view of the Information Map to be configured to that state.

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDataExplorationId()`
  Returns the id of the Data Exploration that is the parent of this Bookmark.
  `PathUrl`
  `getDataExplorationURL()`
  Returns the URL of the Data Exploration that is the parent of this Bookmark.
  `String`
  `getDataModelState()`
  Returns the state of the data model and Bookmark (a String in XML form).
  `com.sas.metadata.remote.TextStore`
  `getTextStore()`
  `boolean`
  `isDefault()`
  Returns true if the bookmark is the default bookmark of the Data Exploration.
  `void`
  `setDataExplorationId(String deId)`
  Sets the URL of the Data Exploration that is the parent of this bookmark as a property on the bookmark.
  `void`
  `setDataExplorationURL(PathUrl url)`
  Sets the URL of the Data Exploration that is the parent of this bookmark as a property on the bookmark
  `void`
  `setDataModelState(String state)`
  Sets the customized state of the data model (as an XML string).
  `void`
  `setDefault(boolean isDefault)`
  Sets if the bookmark should be the default bookmark for the DataExploration.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### isDefault

    boolean isDefault() throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Returns true if the bookmark is the default bookmark of the Data Exploration.
    Returns:
      true if the bookmark is the default
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### setDefault

    void setDefault(boolean isDefault) throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Sets if the bookmark should be the default bookmark for the DataExploration.
    Parameters:
      `isDefault` - true if this is the default
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### getDataModelState

    String getDataModelState() throws com.sas.metadata.remote.MdException, RemoteException, ServiceException
    Returns the state of the data model and Bookmark (a String in XML form).
    Returns:
      The XML description of state.
    Throws:
      `com.sas.metadata.remote.MdException`
      `RemoteException`
      `ServiceException`

  - ### setDataModelState

    void setDataModelState(String state) throws RemoteException, ServiceException, com.sas.metadata.remote.MdException
    Sets the customized state of the data model (as an XML string).
    Parameters:
      `state` - The XML description of state.
    Throws:
      `RemoteException`
      `ServiceException`
      `com.sas.metadata.remote.MdException`

  - ### getDataExplorationId

    String getDataExplorationId() throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Returns the id of the Data Exploration that is the parent of this Bookmark.
    Returns:
      The DataExploration repository id.
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### getDataExplorationURL

    PathUrl getDataExplorationURL() throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Returns the URL of the Data Exploration that is the parent of this Bookmark.
    Returns:
      DataExploration PathURL.
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### setDataExplorationId

    void setDataExplorationId(String deId) throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Sets the URL of the Data Exploration that is the parent of this bookmark as a property on the bookmark. The Data Exploration is found using its repository ID
    Parameters:
      `deId` - the Data Exploration's repository ID.
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### setDataExplorationURL

    void setDataExplorationURL(PathUrl url) throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Sets the URL of the Data Exploration that is the parent of this bookmark as a property on the bookmark
    Parameters:
      `url` - the Data Exploration's PathURL.
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`

  - ### getTextStore

    com.sas.metadata.remote.TextStore getTextStore() throws RemoteException, com.sas.metadata.remote.MdException, ServiceException
    Throws:
      `RemoteException`
      `com.sas.metadata.remote.MdException`
      `ServiceException`